
#include <stdio.h>
#include <stdlib.h>
#include "cell.h"
#include "rif.h"
#include "sif.h"

int	main(argc,argv)
int	argc;
char	**argv;
{
	int	Nx,Ny,BPS,x1,y1,x2,y2,x,y,x0,y0;
	Cell	**cell;
	char	*desc;

	if (argc!=7) {
	    fputs("usage : tif_cut input.tif output.tif x1 y1 x2 y2\n",stderr);
	    exit(1);
	}

	ReadImageFile(argv[1],&Nx,&Ny,&BPS,&cell,&desc);

	if ((x1=atoi(argv[3]))<0 || (x2=atoi(argv[5]))>=Nx || x1>x2 ||
	    (y1=atoi(argv[4]))<0 || (y2=atoi(argv[6]))>=Ny || y1>y2) {
	    fputs("bad triming area.\n",stderr); exit(1);
	}

	for (y0=0, y=y1; y<=y2; y++, y0++)
	for (x0=0, x=x1; x<=x2; x++, x0++) cell[y0][x0]=cell[y][x];

	StoreImageFile(argv[2],x2-x1+1,y2-y1+1,BPS,cell,desc);

	return 0;
}
